Search documentation of stripe_elixir

# StripeElixir.Services.ShippingRateService (stripe_elixir v0.1.0)

Copy Markdown View Source

ShippingRate

Shipping rates describe the price of shipping presented to your customers and applied to a purchase. For more information, see Charge for shipping.

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a shipping rate

list(client, params \\ %{}, opts \\ [])

List all shipping rates

retrieve(client, shipping_rate_token, params \\ %{}, opts \\ [])

Retrieve a shipping rate

update(client, shipping_rate_token, params \\ %{}, opts \\ [])

Update a shipping rate

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Create a shipping rate

Creates a new shipping rate object.

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List all shipping rates

Returns a list of your shipping rates.

# retrieve(client, shipping_rate_token, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a shipping rate

Returns the shipping rate object with the given ID.

# update(client, shipping_rate_token, params \\ %{}, opts \\ [])

    @spec update(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Update a shipping rate

Updates an existing shipping rate object.